Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.integration.jmx
Class IoServiceManager

    java.lang.Object
      org.apache.mina.integration.jmx.IoServiceManager

All Implemented Interfaces:
  IoServiceManagerMBean

    public class IoServiceManager

extends Object
implements IoServiceManagerMBean

Version:
  $Rev: 555855 $, $Date: 2007-07-13 05:19:00 +0200 (Fri, 13 Jul 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Constructor Summary
`IoServiceManager(IoService service)`

Method Summary
`void` | `closeAllSessions()` close all the managed sessions
`float` | `getAverageByteReadThroughput()` average bytes read per seconds for all the managed sessions
`float` | `getAverageByteWrittenThroughput()` average bytes written per seconds for all the managed sessions
`float` | `getAverageMessageReadThroughput()` average messages read per seconds for all the managed sessions
`float` | `getAverageMessageWrittenThroughput()` average messages written per seconds for all the managed sessions
`int` | `getManagedSessionCount()` amount of session currently managed
`float` | `getTotalByteReadThroughput()` bytes read per seconds sum of all the managed sessions
`float` | `getTotalByteWrittenThroughput()` bytes written per seconds sum for all the managed sessions
`float` | `getTotalMessageReadThroughput()` messages read per seconds sum of all the managed sessions
`float` | `getTotalMessageWrittenThroughput()` messages written per seconds sum for all the managed sessions
`void` | `startCollectingStats(int millisecondsPolling)` start collecting throughput statistics for all the managed sessions
`void` | `stopCollectingStats()` stop collecting throughput statistics

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IoServiceManager

    public IoServiceManager(IoService service)

Method Detail

### getManagedSessionCount

    public int getManagedSessionCount()

  Description copied from interface: `IoServiceManagerMBean`
  amount of session currently managed

  Specified by:
    `getManagedSessionCount` in interface `IoServiceManagerMBean`
  Returns:
    session count

### startCollectingStats

    public void startCollectingStats(int millisecondsPolling)

  Description copied from interface: `IoServiceManagerMBean`
  start collecting throughput statistics for all the managed sessions

  Specified by:
    `startCollectingStats` in interface `IoServiceManagerMBean`
  Parameters:
    `millisecondsPolling` - polling time in milliseconds like 5000 for computing throughput every 5 seconds

### stopCollectingStats

    public void stopCollectingStats()

  Description copied from interface: `IoServiceManagerMBean`
  stop collecting throughput statistics

  Specified by:
    `stopCollectingStats` in interface `IoServiceManagerMBean`

### getTotalByteReadThroughput

    public float getTotalByteReadThroughput()

  Description copied from interface: `IoServiceManagerMBean`
  bytes read per seconds sum of all the managed sessions

  Specified by:
    `getTotalByteReadThroughput` in interface `IoServiceManagerMBean`
  Returns:
    bytes per seconds

### getTotalByteWrittenThroughput

    public float getTotalByteWrittenThroughput()

  Description copied from interface: `IoServiceManagerMBean`
  bytes written per seconds sum for all the managed sessions

  Specified by:
    `getTotalByteWrittenThroughput` in interface `IoServiceManagerMBean`
  Returns:
    bytes per seconds

### getTotalMessageReadThroughput

    public float getTotalMessageReadThroughput()

  Description copied from interface: `IoServiceManagerMBean`
  messages read per seconds sum of all the managed sessions

  Specified by:
    `getTotalMessageReadThroughput` in interface `IoServiceManagerMBean`
  Returns:
    messages per seconds

### getTotalMessageWrittenThroughput

    public float getTotalMessageWrittenThroughput()

  Description copied from interface: `IoServiceManagerMBean`
  messages written per seconds sum for all the managed sessions

  Specified by:
    `getTotalMessageWrittenThroughput` in interface `IoServiceManagerMBean`
  Returns:
    messages per seconds

### getAverageByteReadThroughput

    public float getAverageByteReadThroughput()

  Description copied from interface: `IoServiceManagerMBean`
  average bytes read per seconds for all the managed sessions

  Specified by:
    `getAverageByteReadThroughput` in interface `IoServiceManagerMBean`
  Returns:
    bytes per seconds

### getAverageByteWrittenThroughput

    public float getAverageByteWrittenThroughput()

  Description copied from interface: `IoServiceManagerMBean`
  average bytes written per seconds for all the managed sessions

  Specified by:
    `getAverageByteWrittenThroughput` in interface `IoServiceManagerMBean`
  Returns:
    bytes per seconds

### getAverageMessageReadThroughput

    public float getAverageMessageReadThroughput()

  Description copied from interface: `IoServiceManagerMBean`
  average messages read per seconds for all the managed sessions

  Specified by:
    `getAverageMessageReadThroughput` in interface `IoServiceManagerMBean`
  Returns:
    messages per seconds

### getAverageMessageWrittenThroughput

    public float getAverageMessageWrittenThroughput()

  Description copied from interface: `IoServiceManagerMBean`
  average messages written per seconds for all the managed sessions

  Specified by:
    `getAverageMessageWrittenThroughput` in interface `IoServiceManagerMBean`
  Returns:
    messages per seconds

### closeAllSessions

    public void closeAllSessions()

  Description copied from interface: `IoServiceManagerMBean`
  close all the managed sessions

  Specified by:
    `closeAllSessions` in interface `IoServiceManagerMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.